package com.hxhq.business.enums.study;

/**
 * 饲养间状态 1使用中 3已结束
 * @author tanfei
 */
public enum StudyRoomStatusEnum {

    /**
     * 1使用中
     */
    syz(1, "使用中"),

    /**
     * 3已结束
     */
    yjs(3, "已结束");


    private int value;
    private String text;

    StudyRoomStatusEnum(int value, String text) {
        this.value = value;
        this.text = text;
    }

    public int getValue() {
        return value;
    }

    public void setValue(int value) {
        this.value = value;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public static StudyRoomStatusEnum getEnumByValue(int type) {
        for (StudyRoomStatusEnum bt : values()) {
            if (bt.value == type) {
                return bt;
            }
        }
        return null;
    }
}
